Skip to main content
Resource Center/Bare Metal Management (Plus)/Installation Service Operations
GETInstallation Service OperationsSince 2.6.0SynchronousAuth Required

QueryBaremetalPxeServer

QueryBaremetalPxeServer

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the deployment server.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The name of the deployment server.

    • descriptionStringRequired

      The detailed description of the deployment server.

    • hostnameStringRequired

      The IP address of the deployment server.

    • sshUsernameStringRequired

      The SSH username of the deployment server.

    • sshPasswordStringRequired

      The SSH password of the deployment server.

    • sshPortIntegerRequired

      The SSH port of the deployment server.

    • storagePathStringRequired

      The storage path of the deployment server.

    • dhcpInterfaceStringRequired

      The DHCP NIC of the deployment server.

    • dhcpRangeBeginStringRequired

      The starting IP address that DHCP assigns to a bare metal instance.

    • dhcpRangeEndStringRequired

      The ending IP address that DHCP assigns to a bare metal instance.

    • dhcpRangeNetmaskStringRequired

      The netmask of the IP range from which DHCP assigns an IP address to a bare metal instance.

    • stateStringRequired

      The operating status of the deployment server.

    • statusStringRequired

      The connection status of the deployment server.

    • createDateTimestampRequired

      The time when the deployment server was created.

    • lastOpDateTimestampRequired

      The time when the deployment server was last modified.

    • totalCapacityLongRequired

      The total storage capacity in the specified storage path.

    • availableCapacityLongRequired

      The available storage space in the specified storage path.

    • attachedClusterUuidsListRequired

      The UUIDs of the clusters to which the deployment server is attached.

Endpoint

GET/zstack/v1/baremetal/pxeservers

/zstack/v1/baremetal/pxeservers

Operation ID

QueryBaremetalPxeServer

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal/pxeservers' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "90afdd2b218b376592a25421e396597e", "name": "test", "hostname": "127.0.0.1", "sshUsername": "root", "sshPassword": "password", "sshPort": 22.0, "storagePath": "/zstack_bm_cache", "dhcpInterface": "eth0", "dhcpRangeBegin": "10.0.0.1", "dhcpRangeEnd": "10.0.0.255", "dhcpRangeNetmask": "255.255.255.0", "state": "Enabled", "status": "Connected" } ] }

Change History

This API has no change history records yet.

View all change history